<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd" >
    
<hibernate-mapping>
<!-- 
    Created by the Middlegen Hibernate plugin 2.1

    http://boss.bekk.no/boss/middlegen/
    http://www.hibernate.org/
-->

<class 
    name="cn.com.xunuo.model.Sysmodule" 
    table="sysmodule"
>
    <meta attribute="class-description" inherit="false">
       @hibernate.class
        table="sysmodule"
    </meta>

    <id
        name="id"
        type="java.lang.String"
        column="id"
        unsaved-value="null"
    >
        <meta attribute="field-description">
           @hibernate.id
            generator-class="uuid.hex"
            type="java.lang.String"
            column="id"

        </meta>
        <generator class="uuid.hex" />
    </id>

    <property
        name="name"
        type="java.lang.String"
        column="name"
        length="255"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="name"
            length="255"
        </meta>    
    </property>

    <property
        name="description"
        type="java.lang.String"
        column="description"
        length="2147483647"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="description"
            length="2147483647"
        </meta>    
    </property>

    <property
        name="link"
        type="java.lang.String"
        column="link"
        length="255"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="link"
            length="255"
        </meta>    
    </property>

    <property
        name="revisable"
        type="java.lang.Integer"
        column="revisable"
        length="4"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="revisable"
            length="4"
        </meta>    
    </property>
    <property
        name="isdelete"
        type="java.lang.Integer"
        column="isdelete"
        length="4"
    >
        <meta attribute="field-description">
           @hibernate.property
            column="isdelete"
            length="4"
        </meta>    
    </property>    
    <bag
            name="userrole_Modules"
            table="userrole_module"
            lazy="true"
            inverse="false"
            cascade="none"
        >

              <key
                  column="moduleid"
              >
              </key>

              <many-to-many
                  class="cn.com.xunuo.model.Sysuserrole"
                  column="roleid"
                 />
        </bag>

    <!-- Associations -->
  

</class>
</hibernate-mapping>



